package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_rating_compliance_obs_score_tmp")
public class AuditRatingComplianceObsScoreTmp implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
		
	@Id
	@Column(name="unit_id")
	private String unitId;
	
	@Id
	@Column(name="observation_id")
	private String observationId;
	
	@Column(name="observation_criticality")
	private String observationCriticality;
	
	@Column(name="observation")
	private String observation;
	
	@Column(name="compliance")
	private String compliance;
			
	@Column(name="desk_assessed_score")
	private String deskAssessedScore;
	
	@Column(name="desk_effective_score")
	private String deskEffectiveScore;
	
	@Column(name="field_assessed_score")
	private String fieldAssessedScore;
	
	@Column(name="field_effective_score")
	private String fieldEffectiveScore;
	
	@Column(name="reviewer_maker_remarks")
	private String reviewerMakerRemarks;
	
	@Column(name="reviewer_checker_remarks")
	private String reviewerCheckerRemarks;
	
	@Column(name="auditor_maker_remarks")
	private String auditorMakerRemarks;
	
	@Column(name="auditor_checker_remarks")
	private String auditorCheckerRemarks;
	
	@Column(name="status")
	private String status;
		
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	@Column(name="doc_id")
	private int docId;
	 

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getObservationId() {
		return observationId;
	}

	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	public String getObservationCriticality() {
		return observationCriticality;
	}

	public void setObservationCriticality(String observationCriticality) {
		this.observationCriticality = observationCriticality;
	}

	public String getObservation() {
		return observation;
	}

	public void setObservation(String observation) {
		this.observation = observation;
	}

	public String getCompliance() {
		return compliance;
	}

	public void setCompliance(String compliance) {
		this.compliance = compliance;
	}

	public String getDeskAssessedScore() {
		return deskAssessedScore;
	}

	public void setDeskAssessedScore(String deskAssessedScore) {
		this.deskAssessedScore = deskAssessedScore;
	}

	public String getDeskEffectiveScore() {
		return deskEffectiveScore;
	}

	public void setDeskEffectiveScore(String deskEffectiveScore) {
		this.deskEffectiveScore = deskEffectiveScore;
	}

	public String getFieldAssessedScore() {
		return fieldAssessedScore;
	}

	public void setFieldAssessedScore(String fieldAssessedScore) {
		this.fieldAssessedScore = fieldAssessedScore;
	}

	public String getFieldEffectiveScore() {
		return fieldEffectiveScore;
	}

	public void setFieldEffectiveScore(String fieldEffectiveScore) {
		this.fieldEffectiveScore = fieldEffectiveScore;
	}

	public String getReviewerMakerRemarks() {
		return reviewerMakerRemarks;
	}

	public void setReviewerMakerRemarks(String reviewerMakerRemarks) {
		this.reviewerMakerRemarks = reviewerMakerRemarks;
	}

	public String getReviewerCheckerRemarks() {
		return reviewerCheckerRemarks;
	}

	public void setReviewerCheckerRemarks(String reviewerCheckerRemarks) {
		this.reviewerCheckerRemarks = reviewerCheckerRemarks;
	}

	public String getAuditorMakerRemarks() {
		return auditorMakerRemarks;
	}

	public void setAuditorMakerRemarks(String auditorMakerRemarks) {
		this.auditorMakerRemarks = auditorMakerRemarks;
	}

	public String getAuditorCheckerRemarks() {
		return auditorCheckerRemarks;
	}

	public void setAuditorCheckerRemarks(String auditorCheckerRemarks) {
		this.auditorCheckerRemarks = auditorCheckerRemarks;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	public int getDocId() {
		return docId;
	}

	public void setDocId(int docId) {
		this.docId = docId;
	} 
	
}
